#ifndef Model_c
#define NN       16	/* 8d2 10h7 16q0 20d4 24d6 26h5 32q4 36s0 64o0 */
#define Title     "JJ-16-Lieb-Mattis-Model"    /* 123456789=hdtqps..o. */
#define Sym      16 	/* x x 7 x x x x x x Symmetrien */
#define Sud       0
#define CM(JJ,tJ,tU) tU	  /* Heisenberg-,  t-J- or  Hubbard-model */

#define Nw ((NN*(NN-1))/2)                 /* faster than variable */
#define Ne NN
#define SBase 1		/* SBase/noSBase = with/without symmetry */ 
#endif
#ifdef Model_c
  int initvars(){
    int i,j,k; 
    int tis[4][NN]={
       { 8, 9,10,11,12,13,14,15, 0, 1, 2, 3, 4, 5, 6, 7},
       { 4, 5, 6, 7, 0, 1, 2, 3,12,13,14,15, 8, 9,10,11},
       { 2, 3, 0, 1, 6, 7, 4, 5,10,11, 8, 9,14,15,12,13},
       { 1, 0, 3, 2, 5, 4, 7, 6, 9, 8,11,10,13,12,15,14}};
    for(i=0;i<NN*4;i++)sym.i[i/NN][i%NN]=tis[i/NN][i%NN];
    nu=NN/2;nd=NN/2+NN%2;k=0;
    for(i=0;i<NN;i++)for(j=i+1;j<NN;j++){ iw[k][0]=i;iw[k][1]=j;k++;}
    for(i=0;i<Nw;i++)wt[i]=-1.0;
    for(i=0;i<NN;i++)wu[i]= 4.0;
    for(i=0;i<NN;i++)we[i]= 0.0;
    return 0;}    
#endif
